Cette page a été traduite par l'API Cloud Translation.
Switch to English

Installation des graphiques TensorFlow

Constructions stables

TensorFlow Graphics dépend de TensorFlow 1.13.1 ou supérieur. Les versions nocturnes de TensorFlow (tf-nightly) sont également prises en charge.

Pour installer la dernière version du processeur à partir de PyPI , exécutez ce qui suit:

 # Installing with the `--upgrade` flag ensures you'll get the latest version.
pip install --upgrade tensorflow-graphics
 

et pour installer la dernière version du GPU, exécutez:

 # Installing with the `--upgrade` flag ensures you'll get the latest version.
pip install --upgrade tensorflow-graphics-gpu
 

Pour obtenir une aide supplémentaire sur l'installation, des conseils d'installation des prérequis et (éventuellement) la configuration d'environnements virtuels, consultez le guide d'installation de TensorFlow .

Installation à partir des sources - macOS / Linux

Vous pouvez également installer à partir des sources en exécutant les commandes suivantes:

 git clone https://github.com/tensorflow/graphics.git
sh build_pip_pkg.sh
pip install --upgrade dist/*.whl
 

Installation de packages facultatifs - Linux

Pour utiliser le chargeur de données TensorFlow Graphics EXR, OpenEXR doit être installé. Cela peut être fait en exécutant les commandes suivantes:

 sudo apt-get install libopenexr-dev
pip install --upgrade OpenEXR